ZenLib::Format::Http Namespace Reference

## Classes

struct | Cookie
class | Cookies
class | Handler
class | Request

## Functions

unsigned char | Char2Hex (unsigned char Char)
wchar_t | Char2Hex (wchar_t Char)
std::string | Hex2Char (unsigned char Char)
std::wstring | Hex2Char (wchar_t Char)
std::string | URL_Encoded_Encode (const std::string &URL)
std::wstring | URL_Encoded_Encode (const std::wstring &URL)
std::string | URL_Encoded_Decode (const std::string &URL)
std::wstring | URL_Encoded_Decode (const std::wstring &URL)
void | TrimLeft (std::string &String, char ToTrim)

## Variables

std::string | EmptyString

## Function Documentation

## Char2Hex() [1/2]

unsigned char ZenLib::Format::Http::Char2Hex | ( | unsigned char | Char | ) |

## Char2Hex() [2/2]

wchar_t ZenLib::Format::Http::Char2Hex | ( | wchar_t | Char | ) |

## Hex2Char() [1/2]

std::string ZenLib::Format::Http::Hex2Char | ( | unsigned char | Char | ) |

## Hex2Char() [2/2]

std::wstring ZenLib::Format::Http::Hex2Char | ( | wchar_t | Char | ) |

## TrimLeft()

void ZenLib::Format::Http::TrimLeft | ( | std::string & | String,
|  | char | ToTrim )

## URL_Encoded_Decode() [1/2]

std::string ZenLib::Format::Http::URL_Encoded_Decode | ( | const std::string & | URL | ) |

## URL_Encoded_Decode() [2/2]

std::wstring ZenLib::Format::Http::URL_Encoded_Decode | ( | const std::wstring & | URL | ) |

## URL_Encoded_Encode() [1/2]

std::string ZenLib::Format::Http::URL_Encoded_Encode | ( | const std::string & | URL | ) |

## URL_Encoded_Encode() [2/2]

std::wstring ZenLib::Format::Http::URL_Encoded_Encode | ( | const std::wstring & | URL | ) |

## Variable Documentation

## EmptyString

std::string ZenLib::Format::Http::EmptyString

extern

Referenced by ZenLib::Format::Http::Cookies::Set().